package com.xjrsoft.module.textbook.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.textbook.dto.*;
import com.xjrsoft.module.textbook.entity.WfTextbookSubscription;
import com.xjrsoft.module.textbook.vo.TextbookInstockroomListVo;
import com.xjrsoft.module.textbook.vo.TextbookSubscriptionExportQueryListVo;
import com.xjrsoft.module.textbook.vo.WfTextbookSubscriptionVo;

import java.io.InputStream;
import java.util.List;

/**
* @title: 教材教辅征订
* @Author szs
* @Date: 2024-06-04
* @Version 1.0
*/

public interface IWfTextbookSubscriptionService extends MPJBaseService<WfTextbookSubscription> {
    /**
    * 新增
    *
    * @param wfTextbookSubscription
    * @return
    */
    Boolean add(WfTextbookSubscription wfTextbookSubscription);

    /**
    * 更新
    * @param wfTextbookSubscription
    * @return
    */
    Boolean update(WfTextbookSubscription wfTextbookSubscription);

    /**
     * 变更
     */
    Boolean alteration(UpdateWfTextbookSubscriptionItemDto dto);

    /**
    * 删除
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    Boolean changeStatus(UpdateWfTextbookSubscriptionDto dto);

    WfTextbookSubscriptionVo getInfo(WfTextbookSubscriptionDto dto);

    List<TextbookSubscriptionExportQueryListVo> textbookSubscriptionExportQuery(TextbookSubscriptionExportQueryListDto dto);

    List<TextbookInstockroomListVo> instockroomList(TextbookInstockroomListDto dto);

    Boolean instockroom(List<TextbookInstockroomDto> dtos);


    String excelImport(InputStream inputStream, Long wfTextbookSubscriptionId);
}
